echo off
cls

if .%1==. goto syntax
if not exist %1\install.bat goto badsrc
if not exist %1\system\ptzip101.exe goto badsrc
if .%2==. %1\install.bat %1 C:\PTOOLS
if exist %2\*.* goto filexist
if exist %2\nul goto direxist

goto confirm

:syntax
cls
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo                     *                                      *
echo                     *       PrinTools Installation         *
echo                     *                                      *
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo 
echo 
echo 
echo 
echo You must include the source drive for the PrinTools files, like this:
echo 
echo 
echo A:INSTALL A: C:\PTOOLS
echo 
echo 
echo This will install from drive A: to C:\PTOOLS.  To install to a different
echo destination drive or directory, include it like this:
echo 
echo 
echo A:INSTALL A: C:\PT  (replace C:\PT with the destination drive and directory)
echo 
echo 
goto end

:badsrc
cls
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo                     *                                      *
echo                     *       PrinTools Installation         *
echo                     *                                      *
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo 
echo 
echo 
echo 
echo The PrinTools install or source files were not found at %1.  Make sure
echo that the disk in drive %1 is an exact duplicate of the original PrinTools
echo disk.  Then use this command to install PrinTools:
echo 
echo 
echo A:INSTALL A: C:\PTOOLS
echo 
echo 
echo This will install from drive A: to C:\PTOOLS.  To install from a different
echo source drive (or directory), include it like this:
echo 
echo 
echo B:INSTALL B: C:\PTOOLS (replace B: with the source drive and directory)
echo 
goto end

:direxist
cls
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo                     *                                      *
echo                     *       PrinTools Installation         *
echo                     *                                      *
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo 
echo 
echo 
echo 
echo The destination directory that you specified is:
echo 
echo 
echo %2
echo 
echo 
echo This directory already exists.  Press any key to continue installation.
echo Otherwise, press CTRL-C to abandon this installation and try again with a
echo different destination.
echo 
pause
goto install

:filexist
cls
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo                     *                                      *
echo                     *       PrinTools Installation         *
echo                     *                                      *
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo 
echo 
echo 
echo 
echo The destination directory that you specified is:
echo 
echo 
echo %2
echo 
echo 
echo This directory contains files that may be overwritten.  Press any key to
echo continue installation.  Otherwise, Press CTRL-C to abandon this
echo installation and try again with a different destination.
echo 
pause
goto install

:baddest
cls
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo                     *                                      *
echo                     *       PrinTools Installation         *
echo                     *                                      *
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo 
echo 
echo 
echo 
echo There is a problem with the destination drive or directory.  Make sure that
echo you specify a valid destination drive with adequate free space (at least
echo 1 megabyte), like this:
echo 
echo 
echo A:INSTALL A: C:\PTOOLS
echo 
echo 
echo This will install from drive A: to C:\PTOOLS.  To install to a different
echo destination drive or directory, include it like this:
echo 
echo 
echo A:INSTALL A: D:\PT  (replace D:\PT with the destination drive and directory)
echo 
goto end

:confirm
cls
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo                     *                                      *
echo                     *       PrinTools Installation         *
echo                     *                                      *
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo 
echo 
echo 
echo 
echo Source Drive         Destination Drive and Path
echo ------------         --------------------------
echo %1                   %2
echo 
echo 
echo Press any key to continue installation.  Otherwise, hit CTRL-C to abandon
echo this installation.
echo 
pause
goto install

:install
echo 
echo Installing...
if not exist %2\nul md %2
if not exist %2\nul goto baddest
%1\system\ptzip101.exe -d %2 -o > nul
if not exist %2\work\nul md %2\work
copy %1\readme %2 > nul
if not exist %2\ptools.com goto failure
goto success

:failure
cls
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo                     *                                      *
echo                     *       PrinTools Installation         *
echo                     *                                      *
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo 
echo 
echo 
echo 
echo Installation failed!
echo 
echo 
echo Make sure that the source and destination drives that you specify actually
echo exist and that the PrinTools disk (or exact duplicate) is in the source drive.
echo Also, make sure that the destination disk has adequate free space (at least
echo 1 megabyte).
echo 
goto end

:success
cls
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo                     *                                      *
echo                     *       PrinTools Installation         *
echo                     *                                      *
echo                     *  *  *  *  *  *  *  *  *  *  *  *  *  *
echo 
echo 
echo 
echo 
echo Installation succeeded!
echo 
echo 
echo Read the README file in %2 for important information about PrinTools.
echo 
echo 

:end
